package com.zipcodewilmington.froilansfarm.Vehicle;

import com.zipcodewilmington.froilansfarm.Animals.Person;
import com.zipcodewilmington.froilansfarm.Edible;
import com.zipcodewilmington.froilansfarm.Harvests;
import com.zipcodewilmington.froilansfarm.Holders.CropRow;
import com.zipcodewilmington.froilansfarm.PlantsAndCrops.Botanist;

public class Tractor extends Vehicle implements Harvests, FarmVehicle {

    private boolean isRiding = false;


    public boolean isOnAFarm() {
        return true;
    }

    @Override
    public boolean getIsRideable(Person person){
        return person.getIsMounted() && person instanceof Botanist;
    }

    public void setRiding(boolean riding) {
        isRiding = riding;
    }

    public String ride(Person person){
        String result = "No transportation today";
        if(getIsRideable(person) && isOnAFarm()){
            result = "Driving in the field today";
            setRiding(true);
        }

        return result;
    }

    public void collectYeild(int numToStore, Edible foodType, CropRow rowNum) {
        if(isRiding){
            foodType.foodIsAdded(numToStore);
            rowNum.setNumberPlanted(0);}
    }
}
