package com.zipcodewilmington.froilansfarm;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import com.zipcodewilmington.froilansfarm.Holders.Farm;

public class FridayTest {

    Farm farm;


    @Before
    public void setup() {
        farm = new Farm();
        farm.populateFarm();
        farm.morningRoutine();
        farm.getFroilanda().setIsMounted();
        farm.getCropDuster().fertilize(farm.getFroilanda());
        farm.getFreelan().plantNewRow(farm.getCornStalk(), 40, farm.getField());
    }

    //Freelan plants the 5th row of plants(corn) and fertilizes it

    @Test
    public void plantTest(){
        farm.getFreelan().plantNewRow(farm.getCornStalk(), 40, farm.getField());
        int actual = farm.getField().getRowNumber();
        int expected = 5;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void fertilizeFieldTest() {
        farm.getFreelan().setIsMounted();
        farm.getCropDuster().fertilize(farm.getFreelan());
        Assert.assertTrue(farm.getField().getIsFertilized());
    }
}
