package com.zipcodewilmington.froilansfarm;

import com.zipcodewilmington.froilansfarm.Holders.Farm;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class SundayTest {

    Farm farm;
  private int cornFirstCount;
 private int tomatoFirstCount;
 private int eggFirstCount;


    @Before
    public void setup(){
        farm = new Farm();
       cornFirstCount = farm.getCorn().getFoodCount();
      tomatoFirstCount = farm.getTomato().getFoodCount();
      eggFirstCount = farm.getEgg().getFoodCount();
        farm.populateFarm();
      farm.morningRoutine();

    }


    @Test
    public void horseRidetest(){
        String expected = "Horse number 1 has been ridden today. \nHorse number 2 has been ridden today. \nHorse number 3 has been ridden today. \nHorse number 1 has been ridden today. \nHorse number 2 has been ridden today. \nHorse number 3 has been ridden today. \nHorse number 1 has been ridden today. \nHorse number 2 has been ridden today. \nHorse number 3 has been ridden today. \n";
        String actual = farm.getHorse().ride(farm.getFroilan(), farm.getStable1())+farm.getHorse().ride(farm.getFroilan(), farm.getStable2()) +farm.getHorse().ride(farm.getFroilan(), farm.getStable3());
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void cornEatTest(){
        int secondCount = farm.getCorn().getFoodCount();
        int expected = 30;
        int actual = cornFirstCount-secondCount;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void isHorseHappy(){
        String actual = farm.getHorse().makeNoise();
        String expected = "NEIGH!";
        Assert.assertEquals(expected, actual);

    }
    @Test
    public void tomatoEatTest(){
        int secondCount = farm.getTomato().getFoodCount();
        int expected = 6;
        int actual = tomatoFirstCount-secondCount;
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void eggEatTest(){
        int secondCount = farm.getEgg().getFoodCount();
        int expected = 9;
        int actual = eggFirstCount-secondCount;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void plantRow1Test(){
        farm.getFroilan().plant(farm.getRow1(),40);
        int actual = farm.getRow1().getNumberPlanted();
        int expected = 40;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void plantRow2Test(){
        farm.getFreelan().plant(farm.getRow2(),40);
        int actual = farm.getRow2().getNumberPlanted();
        int expected = 40;
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void plantRow3Test(){
        farm.getFreelan().plant(farm.getRow3(),40);
        int actual = farm.getRow3().getNumberPlanted();
        int expected = 40;
        Assert.assertEquals(expected, actual);
    }
}
