package com.zipcodewilmington.froilansfarm;


import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import com.zipcodewilmington.froilansfarm.Holders.Farm;

public class TuesdayTest {

    Farm farm;
    int cornFirstCount;
    int tomatoFirstCount;
    int eggFirstCount;

    @Before
    public void setup(){
        farm = new Farm();
        farm.populateFarm();
        farm.morningRoutine();
        cornFirstCount = farm.getCorn().getFoodCount();
        tomatoFirstCount = farm.getTomato().getFoodCount();
        eggFirstCount = farm.getEgg().getFoodCount();
        farm.getFroilanda().setIsMounted();
        farm.getCropDuster().fertilize(farm.getFroilanda());
    }

    @Test
    public void isRidingTest(){
        farm.getFroilan().setIsMounted();
        String actual = farm.getTractor1().ride(farm.getFroilan());
        String expected = "Driving in the field today";
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void harvest1Test(){
        farm.getFroilan().plant(farm.getRow1(),40);
        farm.getFroilan().setIsMounted();
        farm.getTractor1().ride(farm.getFroilan());
        farm.getTractor1().collectYeild(farm.getRow1().getNumberPlanted(), farm.getCorn(), farm.getRow1());
        int secondCount = farm.getCorn().getFoodCount();
        int actual =  secondCount - cornFirstCount;
        int expected =40;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void harvest2Test(){
        farm.getFroilan().plant(farm.getRow2(),40);
        farm.getFroilan().setIsMounted();
        farm.getTractor1().ride(farm.getFroilan());
        farm.getTractor1().collectYeild(farm.getRow2().getNumberPlanted(), farm.getTomato(), farm.getRow2());
        int secondCount = farm.getTomato().getFoodCount();
        int actual =  secondCount - tomatoFirstCount;
        int expected =40;
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void harvest3Test(){
        farm.getFroilan().plant(farm.getRow3(),40);
        farm.getFroilan().setIsMounted();
        farm.getTractor1().ride(farm.getFroilan());
        farm.getTractor1().collectYeild(farm.getRow3().getNumberPlanted(), farm.getCorn(), farm.getRow3());
        int secondCount = farm.getCorn().getFoodCount();
        int actual =  secondCount - cornFirstCount;
        int expected =40;
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void plantTest(){
        farm.getFreelan().plantNewRow(farm.getCornStalk(), 40, farm.getField());
        int actual = farm.getField().getRowNumber();
        int expected = 4;
        Assert.assertEquals(expected, actual);
    }
}
